Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.tools.file
Class OutputFile

    java.lang.Object
      |
      +--java.io.File
            |
            +--main.tools.file.OutputFile

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class OutputFile
extends java.io.File

Diese Klasse bekommt den Namen einer Eingabedatei übergeben und erzeugt daraus eine Ausgabedatei. Außerdem kann sie diese Datei zum Schreiben öffnen.

Version:
  $Revision: 1.7 $
Author:
  Simon Tiffert
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`OutputFile(java.lang.String pathname, java.lang.String endung)` Konstruktor, der den Konstruktor der Superklasse mit dem in dieser Klasse erstellten Ausgabedateinamen aufruft.

Method Summary
`java.io.BufferedWriter` | `getAusgabeDatei()` Die Funktion gibt einen BufferedWriter auf das File Objekt zurück.
`private static java.lang.String` | `setNameAusgabeDatei(java.lang.String eingabeDateiName, java.lang.String endung)` Der Name der Ausgabedatei wird gebildet, in dem der Text nach dem letzten Punkt, durch die übergebene Endung ersetzt wird.

Methods inherited from class java.io.File
`canRead, canWrite, compareTo, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getName, getParent, getParentFile, getPath, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setLastModified, setReadOnly, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputFile

    public OutputFile(java.lang.String pathname,
                      java.lang.String endung)

  Konstruktor, der den Konstruktor der Superklasse mit dem in dieser Klasse erstellten Ausgabedateinamen aufruft.

Parameters:
  `pathname` - Pfadname
  `endung` - Endung

Method Detail

### setNameAusgabeDatei

    private static java.lang.String setNameAusgabeDatei(java.lang.String eingabeDateiName,
                                                        java.lang.String endung)

  Der Name der Ausgabedatei wird gebildet, in dem der Text nach dem letzten Punkt, durch die übergebene Endung ersetzt wird.

  Parameters:
    `eingabeDateiName` - Name der Eingabedatei
    `endung` - Neue Endung
  Returns:
    Name der Ausgabedatei

### getAusgabeDatei

    public java.io.BufferedWriter getAusgabeDatei()
                                           throws java.io.IOException,
                                                  OutputFileExistsException

  Die Funktion gibt einen BufferedWriter auf das File Objekt zurück. Dabei wird getestet, ob eine vorhandene Datei überschrieben werden darf und entsprechend reagiert.

  Returns:
    BufferedWriter für Ausgabedatei
  Throws:
    `java.io.IOException`
    `OutputFileExistsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD